Tomcat6CommitSessionValve (Apache Geode 1.13.6)
Date: 2021-12-14

org.apache.geode.modules.session.catalina

## Class Tomcat6CommitSessionValve

- java.lang.Object
- - org.apache.catalina.valves.ValveBase
  - - org.apache.geode.modules.session.catalina.AbstractCommitSessionValve<Tomcat6CommitSessionValve>
    - - org.apache.geode.modules.session.catalina.Tomcat6CommitSessionValve

- All Implemented Interfaces:
    MBeanRegistration, org.apache.catalina.Contained, org.apache.catalina.Valve

  Deprecated.

      @Deprecated
      public final class Tomcat6CommitSessionValve
      extends AbstractCommitSessionValve<Tomcat6CommitSessionValve>

- - ### Field Summary

    - ### Fields inherited from class org.apache.geode.modules.session.catalina.AbstractCommitSessionValve

      `info`

    - ### Fields inherited from class org.apache.catalina.valves.ValveBase

      `container, containerLog, controller, domain, mserver, next, oname, sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tomcat6CommitSessionValve()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.catalina.connector.Response` | `wrapResponse(org.apache.catalina.connector.Response response)` Deprecated.

    - ### Methods inherited from class org.apache.geode.modules.session.catalina.AbstractCommitSessionValve

      `commitSession, invoke`

    - ### Methods inherited from class org.apache.catalina.valves.ValveBase

      `backgroundProcess, createObjectName, event, getContainer, getContainerName, getController, getDomain, getInfo, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setNext, setObjectName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Tomcat6CommitSessionValve

          public Tomcat6CommitSessionValve()

      Deprecated.

  - ### Method Detail

    - #### wrapResponse

          protected org.apache.catalina.connector.Response wrapResponse(org.apache.catalina.connector.Response response)

      Deprecated.